Bug 1753266 - frescobaldi depends on python3-sip
Summary: frescobaldi depends on python3-sip
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: frescobaldi
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1753069
TreeView+ depends on / blocked
 
Reported: 2019-09-18 13:55 UTC by Rex Dieter
Modified: 2019-11-13 10:06 UTC (History)
4 users (show)

Fixed In Version: frescobaldi-3.0.0-14.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-13 10:06:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Rex Dieter 2019-09-18 13:55:09 UTC
Working to remove sip's non-namespaced python module, and this package currently depends on it.

See tracker bug for better options.

Filed upstream issue,
https://github.com/frescobaldi/frescobaldi/issues/1180

Comment 1 Gwyn Ciesla 2019-09-18 14:15:01 UTC
Done.

Comment 2 Rex Dieter 2019-09-18 14:59:24 UTC
That's not a full fix yet, see the upstream report.  More work is required since upstream hard-codes the non-namespaced version, startup will fail if it's not present.

Comment 3 Gwyn Ciesla 2019-09-18 17:15:19 UTC
Done, submitted patch upstream.

Comment 4 Rex Dieter 2019-09-18 19:58:31 UTC
upstream fix is better,
https://github.com/frescobaldi/frescobaldi/commit/e5c133c958c1a2d811b0fee85b36652b6e8a4866

drop the code and the dependency on sip altogether.

Comment 5 Gwyn Ciesla 2019-09-18 20:05:19 UTC
Agreed.

Comment 6 Martin Tarenskeen 2019-11-04 06:48:04 UTC
Will this fix be backported to Fedora 31 also?
Same issue there.

I am seeing this when doing dnf update:

 Problem 1: package frescobaldi-3.0.0-10.fc31.noarch requires python3-sip, but none of the providers can be installed
  - package sip-4.19.19-1.fc31.x86_64 obsoletes python3-sip < 4.19.19-1.fc31 provided by python3-sip-4.19.18-6.fc31.x86_64
  - cannot install the best update candidate for package python2-sip-4.19.18-6.fc31.x86_64
  - cannot install the best update candidate for package frescobaldi-3.0.0-10.fc31.noarch
 Problem 2: problem with installed package frescobaldi-3.0.0-10.fc31.noarch
  - package frescobaldi-3.0.0-10.fc31.noarch requires python3-sip, but none of the providers can be installed
  - package sip-4.19.19-1.fc31.x86_64 obsoletes python3-sip < 4.19.19-1.fc31 provided by python3-sip-4.19.18-6.fc31.x86_64
  - cannot install the best update candidate for package python3-sip-4.19.18-6.fc31.x86_64

Comment 7 Rex Dieter 2019-11-04 14:12:57 UTC
Re-opening, appears to still be on issue on f31.

Comment 8 Gwyn Ciesla 2019-11-04 14:16:14 UTC
I'll get this out.

Comment 9 Fedora Update System 2019-11-04 14:22:09 UTC
FEDORA-2019-1ef4102e8a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1ef4102e8a

Comment 10 Fedora Update System 2019-11-05 01:26:03 UTC
frescobaldi-3.0.0-14.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1ef4102e8a

Comment 11 Fedora Update System 2019-11-13 10:06:21 UTC
frescobaldi-3.0.0-14.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.